<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<ng-container *appSideMenu="'top'; title: 'workflowDataForm.sideMenu.title' | translate">

  <app-action-button
    [appDisabled]="appDisabled"
    [appIcon]="'arrow_back'"
    [appRouterLink]="'/details'"
    [appStatementId]="appStatementId"
    class="openk-info side-menu-button">
    {{ "workflowDataForm.sideMenu.backToDetails" | translate }}
  </app-action-button>

  <app-claim-details
    *ngIf="showClaimDetails"
    [claimDetails]="claimDetails[appTaskId]"
  ></app-claim-details>

  <app-action-button
    (appClick)="appSubmit.emit(false)"
    [appDisabled]="appDisabled"
    [appIcon]="'save'"
    class="openk-info side-menu-button">
    {{ "workflowDataForm.sideMenu.submit" | translate}}
  </app-action-button>

</ng-container>

<app-side-menu-status
  *appSideMenu="'center'"
  [appErrorMessage]="appErrorMessage"
  [appLoadingMessage]="'core.submitting' | translate"
  [appLoading]="appLoading">
</app-side-menu-status>

<ng-container *appSideMenu="'bottom'">

  <app-action-button
    (appClick)="appSubmit.emit(true)"
    [appDisabled]="appDisabled"
    [appIcon]="'launch'"
    class="openk-info openk-success side-menu-button">
    {{ "workflowDataForm.sideMenu.submitAndComplete" | translate}}
  </app-action-button>

</ng-container>

